Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040193
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformminorhave not tried2019-02-14 10:162019-05-21 15:16
ReporteralostaleView Statuspublic 
Assigned Tocaristu 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q3
StatusclosedFix in branchFixed in SCM revisionbb9ca644f918
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040193: upgrade Weld to version 3.1.0.Final

DescriptionUpgrade Weld to latest version

See: http://wiki.openbravo.com/wiki/Projects:Upgrade_Weld [^]
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0027245 closedalostale Openbravo ERP upgrade weld 
related to design defect 0039035 closedplatform Openbravo ERP Illegal access warning in weld-core-1.1.24 library 
related to defect 0032704 closedinigosanchez Openbravo ERP Base test for weld has conflicts with analytics module. 
related to feature request 00325123.0PR17Q1 closedalostale Openbravo ERP support WildFly 10 
related to feature request 0038130 closedcaristu Openbravo ERP support JDK 11 
related to defect 0040211 closedalostale Openbravo ERP Servlets randomly become unavailable on 1st request 
related to defect 0040512 closedcaristu Openbravo ERP slf4j extensions library can be removed 
related to defect 0040739 closedcaristu Retail Modules BlankProperties should not be annotated with @ApplicationScoped 
related to defect 0040827 closedcaristu Openbravo ERP JDK 12: cannot start application due to Weld error 
causes defect 0040521 closedcaristu Modules ConditionalPropertyMapping and AfterFlushHook instances are not being injected 
causes defect 0040544 closedcaristu Modules EDL process components are not injected properly 

-  Notes
(0110971)
hgbot (developer)
2019-04-02 18:06

Repository: erp/devel/pi
Changeset: bb9ca644f918c07f04d82067c2a68afe41cd9a3f
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Tue Apr 02 18:03:04 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/bb9ca644f918c07f04d82067c2a68afe41cd9a3f [^]

fixes issue 40193: Upgrade Weld to version 3.1.0.Final

---
M legal/Licensing.txt
M modules/org.openbravo.base.weld/src-test/org/openbravo/base/weld/test/WeldBaseTest.java
M src-test/.classpath.template
M src-test/src/org/openbravo/test/base/OBBaseTest.java
M src-test/src/org/openbravo/test/base/mock/HttpServletRequestMock.java
M src-test/src/org/openbravo/test/system/Sessions.java
M src-wad/src/org/openbravo/wad/Wad.java
M src-wad/src/org/openbravo/wad/web.xml
M src/build.xml
M src/org/openbravo/costing/CostAdjusmentProcessCheck.java
M src/org/openbravo/costing/LCMatchingProcessCheck.java
M src/org/openbravo/costing/LandedCostProcessCheck.java
M src/org/openbravo/erpCommon/obps/ModuleLicenseRestrictions.java
M src/org/openbravo/erpCommon/security/SignInProvider.java
A lib/runtime/guava-21.0.jar
A lib/runtime/slf4j-ext-1.7.25.jar
A lib/test/junit-4.12.jar
A modules/org.openbravo.base.weld/config/beans.xml
A modules/org.openbravo.base.weld/lib/runtime/cdi-api-2.0.SP1.jar
A modules/org.openbravo.base.weld/lib/runtime/javax.inject-1.jar
A modules/org.openbravo.base.weld/lib/runtime/jboss-annotations-api_1.3_spec-1.0.0.Final.jar
A modules/org.openbravo.base.weld/lib/runtime/jboss-classfilewriter-1.2.3.Final.jar
A modules/org.openbravo.base.weld/lib/runtime/jboss-interceptors-api_1.2_spec-1.0.0.Final.jar
A modules/org.openbravo.base.weld/lib/runtime/weld-api-3.1.Final.jar
A modules/org.openbravo.base.weld/lib/runtime/weld-core-impl-3.1.0.Final.jar
A modules/org.openbravo.base.weld/lib/runtime/weld-environment-common-3.1.0.Final.jar
A modules/org.openbravo.base.weld/lib/runtime/weld-jsf-3.1.0.Final.jar
A modules/org.openbravo.base.weld/lib/runtime/weld-servlet-core-3.1.0.Final.jar
A modules/org.openbravo.base.weld/lib/runtime/weld-spi-3.1.Final.jar
A modules/org.openbravo.base.weld/lib/runtime/weld-web-3.1.0.Final.jar
A modules/org.openbravo.base.weld/lib/test/arquillian-config-api-1.4.1.Final.jar
A modules/org.openbravo.base.weld/lib/test/arquillian-config-impl-base-1.4.1.Final.jar
A modules/org.openbravo.base.weld/lib/test/arquillian-config-spi-1.4.1.Final.jar
A modules/org.openbravo.base.weld/lib/test/arquillian-container-impl-base-1.4.1.Final.jar
A modules/org.openbravo.base.weld/lib/test/arquillian-container-spi-1.4.1.Final.jar
A modules/org.openbravo.base.weld/lib/test/arquillian-container-test-api-1.4.1.Final.jar
A modules/org.openbravo.base.weld/lib/test/arquillian-container-test-impl-base-1.4.1.Final.jar
A modules/org.openbravo.base.weld/lib/test/arquillian-container-test-spi-1.4.1.Final.jar
A modules/org.openbravo.base.weld/lib/test/arquillian-core-api-1.4.1.Final.jar
A modules/org.openbravo.base.weld/lib/test/arquillian-core-impl-base-1.4.1.Final.jar
A modules/org.openbravo.base.weld/lib/test/arquillian-core-spi-1.4.1.Final.jar
A modules/org.openbravo.base.weld/lib/test/arquillian-junit-container-1.4.1.Final.jar
A modules/org.openbravo.base.weld/lib/test/arquillian-junit-core-1.4.1.Final.jar
A modules/org.openbravo.base.weld/lib/test/arquillian-suite-extension-1.2.0.jar
A modules/org.openbravo.base.weld/lib/test/arquillian-test-api-1.4.1.Final.jar
A modules/org.openbravo.base.weld/lib/test/arquillian-test-impl-base-1.4.1.Final.jar
A modules/org.openbravo.base.weld/lib/test/arquillian-test-spi-1.4.1.Final.jar
A modules/org.openbravo.base.weld/lib/test/arquillian-testenricher-cdi-1.4.1.Final.jar
A modules/org.openbravo.base.weld/lib/test/arquillian-weld-embedded-2.0.1.Final.jar
A modules/org.openbravo.base.weld/lib/test/jboss-el-api_3.0_spec-1.0.13.Final.jar
A modules/org.openbravo.base.weld/lib/test/reflections-0.9.11.jar
A modules/org.openbravo.base.weld/lib/test/shrinkwrap-api-1.2.6.jar
A modules/org.openbravo.base.weld/lib/test/shrinkwrap-descriptors-api-base-2.0.0.jar
A modules/org.openbravo.base.weld/lib/test/shrinkwrap-descriptors-spi-2.0.0.jar
A modules/org.openbravo.base.weld/lib/test/shrinkwrap-impl-base-1.2.6.jar
A modules/org.openbravo.base.weld/lib/test/shrinkwrap-spi-1.2.6.jar
A modules/org.openbravo.base.weld/src-test/arquillian.xml
A src-test/src/org/openbravo/test/base/mock/HttpSessionMock.java
A src-test/src/org/openbravo/test/base/mock/OBServletContextMock.java
A src-test/src/org/openbravo/test/base/mock/ServletContextMock.java
R lib/runtime/javax.annotation-api-1.2.jar
R lib/test/junit.jar
R modules/org.openbravo.base.weld/lib/runtime/cal10n-api-0.7.7.jar
R modules/org.openbravo.base.weld/lib/runtime/cdi-api.jar
R modules/org.openbravo.base.weld/lib/runtime/ejb-api-3.0.jar
R modules/org.openbravo.base.weld/lib/runtime/guava-18.0.jar
R modules/org.openbravo.base.weld/lib/runtime/javax.inject.jar
R modules/org.openbravo.base.weld/lib/runtime/jboss-interceptor-api-3.1.0-CR3.jar
R modules/org.openbravo.base.weld/lib/runtime/jboss-interceptor-core-2.0.0.CR1.jar
R modules/org.openbravo.base.weld/lib/runtime/jboss-interceptor-spi-2.0.0.CR1.jar
R modules/org.openbravo.base.weld/lib/runtime/slf4j-ext-1.7.25.jar
R modules/org.openbravo.base.weld/lib/runtime/weld-api.jar
R modules/org.openbravo.base.weld/lib/runtime/weld-core-1.1.24.Final.jar
R modules/org.openbravo.base.weld/lib/runtime/weld-servlet-core-1.1.24.Final.jar
R modules/org.openbravo.base.weld/lib/runtime/weld-spi.jar
R modules/org.openbravo.base.weld/lib/test/arquillian-config-api-1.1.8.Final.jar
R modules/org.openbravo.base.weld/lib/test/arquillian-config-impl-base-1.1.8.Final.jar
R modules/org.openbravo.base.weld/lib/test/arquillian-container-impl-base-1.1.8.Final.jar
R modules/org.openbravo.base.weld/lib/test/arquillian-container-spi-1.1.8.Final.jar
R modules/org.openbravo.base.weld/lib/test/arquillian-container-test-api-1.1.8.Final.jar
R modules/org.openbravo.base.weld/lib/test/arquillian-container-test-impl-base-1.1.8.Final.jar
R modules/org.openbravo.base.weld/lib/test/arquillian-container-test-spi-1.1.8.Final.jar
R modules/org.openbravo.base.weld/lib/test/arquillian-core-api-1.1.8.Final.jar
R modules/org.openbravo.base.weld/lib/test/arquillian-core-impl-base-1.1.8.Final.jar
R modules/org.openbravo.base.weld/lib/test/arquillian-core-spi-1.1.8.Final.jar
R modules/org.openbravo.base.weld/lib/test/arquillian-junit-container-1.1.8.Final.jar
R modules/org.openbravo.base.weld/lib/test/arquillian-junit-core-1.1.8.Final.jar
R modules/org.openbravo.base.weld/lib/test/arquillian-suite-extension-1.1.2.jar
R modules/org.openbravo.base.weld/lib/test/arquillian-test-api-1.1.8.Final.jar
R modules/org.openbravo.base.weld/lib/test/arquillian-test-impl-base-1.1.8.Final.jar
R modules/org.openbravo.base.weld/lib/test/arquillian-test-spi-1.1.8.Final.jar
R modules/org.openbravo.base.weld/lib/test/arquillian-testenricher-cdi-1.0.2.Final.jar
R modules/org.openbravo.base.weld/lib/test/arquillian-weld-ee-embedded-1.1-1.0.0.CR8.jar
R modules/org.openbravo.base.weld/lib/test/jboss-el-api_2.2_spec-1.0.0.Final.jar
R modules/org.openbravo.base.weld/lib/test/reflections-0.9.8.jar
R modules/org.openbravo.base.weld/lib/test/shrinkwrap-api-1.2.2.jar
R modules/org.openbravo.base.weld/lib/test/shrinkwrap-descriptors-api-base-2.0.0-alpha-7.jar
R modules/org.openbravo.base.weld/lib/test/shrinkwrap-descriptors-spi-2.0.0-alpha-7.jar
R modules/org.openbravo.base.weld/lib/test/shrinkwrap-impl-base-1.2.2.jar
R modules/org.openbravo.base.weld/lib/test/shrinkwrap-spi-1.2.2.jar
R modules/org.openbravo.base.weld/lib/test/validation-api-1.0.0.GA.jar
R modules/org.openbravo.base.weld/src/META-INF/beans.xml
---
(0110975)
hgbot (developer)
2019-04-03 10:21

Repository: erp/devel/dbsm-main
Changeset: 578f07a2f53e1d1074dff62606be536fb80f1a37
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Apr 03 10:20:42 2019 +0200
URL: http://code.openbravo.com/erp/devel/dbsm-main/rev/578f07a2f53e1d1074dff62606be536fb80f1a37 [^]

related to issue 40193: update junit library reference in src-test classpath

---
M src-test/.classpath
---
(0110990)
alostale (developer)
2019-04-05 09:11

reviewed as part of project
(0111958)
hudsonbot (developer)
2019-05-21 15:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9b8f37d9d85e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-02-14 10:16 alostale New Issue
2019-02-14 10:16 alostale Assigned To => platform
2019-02-14 10:16 alostale Modules => Core
2019-02-14 10:16 alostale Triggers an Emergency Pack => No
2019-02-14 10:16 alostale Status new => acknowledged
2019-02-14 10:16 alostale Relationship added related to 0027245
2019-02-15 08:07 alostale Relationship added related to 0040211
2019-02-26 18:39 caristu Relationship added related to 0039035
2019-03-07 17:51 caristu Relationship added related to 0032704
2019-03-08 13:02 caristu Relationship added related to 0032512
2019-03-14 16:44 caristu Description Updated View Revisions
2019-03-28 09:47 caristu Relationship added related to 0038130
2019-04-02 18:01 caristu Assigned To platform => caristu
2019-04-02 18:06 hgbot Checkin
2019-04-02 18:06 hgbot Note Added: 0110971
2019-04-02 18:06 hgbot Status acknowledged => resolved
2019-04-02 18:06 hgbot Resolution open => fixed
2019-04-02 18:06 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/bb9ca644f918c07f04d82067c2a68afe41cd9a3f [^]
2019-04-02 19:20 caristu Review Assigned To => alostale
2019-04-03 08:21 alostale Summary Upgrade Weld to latest version => upgrade Weld to version 3.1.0.Final
2019-04-03 10:21 hgbot Checkin
2019-04-03 10:21 hgbot Note Added: 0110975
2019-04-03 13:36 caristu Relationship added related to 0040512
2019-04-04 13:24 caristu Relationship added related to 0040521
2019-04-04 13:33 caristu Relationship deleted related to 0040521
2019-04-04 13:33 caristu Relationship added causes 0040521
2019-04-05 09:11 alostale Note Added: 0110990
2019-04-05 09:11 alostale Status resolved => closed
2019-04-05 09:11 alostale Fixed in Version => 3.0PR19Q3
2019-04-05 14:33 caristu Relationship added causes 0040544
2019-05-02 10:00 caristu Relationship added related to 0040739
2019-05-09 15:48 alostale Relationship added related to 0040827
2019-05-21 15:16 hudsonbot Checkin
2019-05-21 15:16 hudsonbot Note Added: 0111958


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker